%global debug_package %{nil}
%global selinuxtype	targeted
%global moduletype	services
%global modulenames	olcne	

# Usage: _format var format
#   Expand 'modulenames' into various formats as needed
#   Format must contain '$x' somewhere to do anything useful
%global _format() export %1=""; for x in %{modulenames}; do %1+=%2; %1+=" "; done;

# Relabel files
%global relabel_files() %{_sbindir}/restorecon -R %{_sharedstatedir}/etcd /usr/share/kata-containers &> /dev/null || : \ # ADD files in *.fc file
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

# Version of distribution SELinux policy package 
%global selinux_policyver 3.13.1-266.0.3.el7_8.1 

# Package information
Name:			olcne-selinux
Version:		1.0.0
Release:		7%{?dist}
License:		GPLv2+
Vendor:			Oracle America
Group:			System Environment/Base
Summary:		SELinux Policies for OLCNE
BuildArch:		x86_64
Requires: 		selinux-policy >= %{selinux_policyver}
Requires:		container-selinux >= 2.119.2-1.911c772.el7_8
Requires(post):		selinux-policy-base >= %{selinux_policyver}, selinux-policy-targeted >= %{selinux_policyver}, policycoreutils, libselinux-utils

%if %{?oraclelinux} == 7
Requires(post):		policycoreutils-python
%else
# OL8
Requires(post):         policycoreutils-python-utils
%endif

BuildRequires:		selinux-policy selinux-policy-devel

Source0:		%{name}-%{version}.tar.bz2
%description
SELinux policy modules for use with OLCNE

%prep
%setup -q

%build
cp ol%{?oraclelinux}/olcne.te ./olcne.te
make SHARE="%{_datadir}" TARGETS="%{modulenames}"

%install

# Install SELinux interfaces
%_format INTERFACES $x.if
install -d %{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}
install -p -m 644 $INTERFACES \
	%{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}

# Install policy modules
%_format MODULES $x.pp.bz2
install -d %{buildroot}%{_datadir}/selinux/packages
install -m 0644 $MODULES \
	%{buildroot}%{_datadir}/selinux/packages

%post
#
# Install all modules in a single transaction
#
%_format MODULES %{_datadir}/selinux/packages/$x.pp.bz2
%{_sbindir}/semodule -n -s %{selinuxtype} -i $MODULES
if %{_sbindir}/selinuxenabled ; then
    %{_sbindir}/load_policy
    %relabel_files
fi


%postun
if [ $1 -eq 0 ]; then
	%{_sbindir}/semodule -n -r %{modulenames} &> /dev/null || :
	if %{_sbindir}/selinuxenabled ; then
		%{_sbindir}/load_policy
		%relabel_files
	fi
fi

%files
%license LICENSE THIRD_PARTY_LICENSES.txt NOTICE
%defattr(-,root,root,0755)
%attr(0644,root,root) %{_datadir}/selinux/packages/*.pp.bz2
%attr(0644,root,root) %{_datadir}/selinux/devel/include/%{moduletype}/*.if

%changelog
* Wed Dec 08 2021 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.0.0-7
- Added buildhost variable

* Fri Nov 13 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.0.0-6
- Seperate OL7/OL8 rules

* Thu Nov 12 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.0.0-5
- More fixes for qemu-kvm on OL8

* Tue Nov 03 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.0.0-4
- Fix for qemu-kvm OL8

* Thu Oct 29 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.0.0-3
- Fix build for OL8

* Thu Oct 15 2020 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.0.0-1
- Added NOTICE file

* Thu Aug 13 2020 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 0.1.0-4
- Added THIRD_PARTY_LICENSES.txt file

* Mon Aug 03 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.1.0-3
- Added LICENSE file

* Tue Jul 21 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.1.0-1
- First Build
